searchNodes=[{"ref":"Islands.Game.html","title":"Islands.Game","module":"Islands.Game","type":"module","doc":"Models a game for the Game of Islands. Inspired by the book Functional Web Development by Lance Halvorsen."},{"ref":"Islands.Game.html#fetch/2","title":"Islands.Game.fetch/2","module":"Islands.Game","type":"function","doc":"Invoked in order to access the value stored under key in the given term term. This function should return {:ok, value} where value is the value under key if the key exists in the term, or :error if the key does not exist in the term. Many of the functions defined in the Access module internally call this function. This function is also used when the square-brackets access syntax (structure[key]) is used: the fetch/2 callback implemented by the module that defines the structure struct is invoked and if it returns {:ok, value} then value is returned, or if it returns :error then nil is returned. See the Map.fetch/2 and Keyword.fetch/2 implementations for examples of how to implement this callback. Callback implementation for Access.fetch/2."},{"ref":"Islands.Game.html#get/3","title":"Islands.Game.get/3","module":"Islands.Game","type":"function","doc":""},{"ref":"Islands.Game.html#get_and_update/3","title":"Islands.Game.get_and_update/3","module":"Islands.Game","type":"function","doc":"Invoked in order to access the value under key and update it at the same time. The implementation of this callback should invoke fun with the value under key in the passed structure data, or with nil if key is not present in it. This function must return either {get_value, update_value} or :pop. If the passed function returns {get_value, update_value}, the return value of this callback should be {get_value, new_data}, where: get_value is the retrieved value (which can be operated on before being returned) update_value is the new value to be stored under key new_data is data after updating the value of key with update_value. If the passed function returns :pop, the return value of this callback must be {value, new_data} where value is the value under key (or nil if not present) and new_data is data without key. See the implementations of Map.get_and_update/3 or Keyword.get_and_update/3 for more examples. Callback implementation for Access.get_and_update/3."},{"ref":"Islands.Game.html#new/4","title":"Islands.Game.new/4","module":"Islands.Game","type":"function","doc":""},{"ref":"Islands.Game.html#notify_player/2","title":"Islands.Game.notify_player/2","module":"Islands.Game","type":"function","doc":""},{"ref":"Islands.Game.html#opponent_id/1","title":"Islands.Game.opponent_id/1","module":"Islands.Game","type":"function","doc":""},{"ref":"Islands.Game.html#player_board/2","title":"Islands.Game.player_board/2","module":"Islands.Game","type":"function","doc":""},{"ref":"Islands.Game.html#pop/2","title":"Islands.Game.pop/2","module":"Islands.Game","type":"function","doc":"Invoked to &quot;pop&quot; the value under key out of the given data structure. When key exists in the given structure data, the implementation should return a {value, new_data} tuple where value is the value that was under key and new_data is term without key. When key is not present in the given structure, a tuple {value, data} should be returned, where value is implementation-defined. See the implementations for Map.pop/3 or Keyword.pop/3 for more examples. Callback implementation for Access.pop/2."},{"ref":"Islands.Game.html#update_board/3","title":"Islands.Game.update_board/3","module":"Islands.Game","type":"function","doc":""},{"ref":"Islands.Game.html#update_guesses/4","title":"Islands.Game.update_guesses/4","module":"Islands.Game","type":"function","doc":""},{"ref":"Islands.Game.html#update_player_gender/3","title":"Islands.Game.update_player_gender/3","module":"Islands.Game","type":"function","doc":""},{"ref":"Islands.Game.html#update_player_name/3","title":"Islands.Game.update_player_name/3","module":"Islands.Game","type":"function","doc":""},{"ref":"Islands.Game.html#update_player_pid/3","title":"Islands.Game.update_player_pid/3","module":"Islands.Game","type":"function","doc":""},{"ref":"Islands.Game.html#update_request/2","title":"Islands.Game.update_request/2","module":"Islands.Game","type":"function","doc":""},{"ref":"Islands.Game.html#update_response/2","title":"Islands.Game.update_response/2","module":"Islands.Game","type":"function","doc":""},{"ref":"Islands.Game.html#update_state/2","title":"Islands.Game.update_state/2","module":"Islands.Game","type":"function","doc":""},{"ref":"Islands.Game.html#t:t/0","title":"Islands.Game.t/0","module":"Islands.Game","type":"type","doc":""}]